com.tibbo.aggregate.common.view

## Class StorageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.tibbo.aggregate.common.AggreGateException
      - - com.tibbo.aggregate.common.view.StorageException

- All Implemented Interfaces:
    java.io.Serializable

      public class StorageException
      extends AggreGateException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StorageException(java.lang.String message)`
    `StorageException(java.lang.String message, java.lang.String details)`
    `StorageException(java.lang.String message, java.lang.Throwable cause)`
    `StorageException(java.lang.String message, java.lang.Throwable cause, java.lang.String details)`
    `StorageException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class com.tibbo.aggregate.common.AggreGateException

      `getCode, getDetails, setCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StorageException

          public StorageException(java.lang.String message)

    - #### StorageException

          public StorageException(java.lang.String message,
                                  java.lang.String details)

    - #### StorageException

          public StorageException(java.lang.Throwable cause)

    - #### StorageException

          public StorageException(java.lang.String message,
                                  java.lang.Throwable cause)

    - #### StorageException

          public StorageException(java.lang.String message,
                                  java.lang.Throwable cause,
                                  java.lang.String details)